mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

is used to simplify the view in the debug window. Use of the attribute using this enumeration can result in a much simpler and more pleasing view in the debug window. See the class for information on the use of this enumeration.

Provides display instructions for the debugger.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.DebuggerBrowsableState

  Show the element as collapsed.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.DebuggerBrowsableState

  Never show the element.

- Field
  2.0.0.0
  4.0.0.0
  System.Diagnostics.DebuggerBrowsableState

  Do not display the root element; display the child elements if the element is a collection or array of items.